Package ru.bgcrm.dao

# Class CustomerGroupDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
ru.bgcrm.dao.CustomerGroupDAO

public class CustomerGroupDAO extends CommonDAO
Customer groups are not visible in interface for now.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomerGroupDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteGroup(int id)`
  `CustomerGroup`
  `getGroupById(int id)`
  `List<CustomerGroup>`
  `getGroupList()`
  `void`
  `searchGroup(Pageable<CustomerGroup> searchResult)`
  `void`
  `updateGroup(CustomerGroup group)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomerGroupDAO

    public CustomerGroupDAO(Connection con)

- ## Method Details

  - ### searchGroup

    public void searchGroup(Pageable<CustomerGroup> searchResult)

  - ### getGroupList

    public List<CustomerGroup> getGroupList()

  - ### getGroupById

    public CustomerGroup getGroupById(int id)

  - ### updateGroup

    public void updateGroup(CustomerGroup group)

  - ### deleteGroup

    public void deleteGroup(int id) throws SQLException
    Throws:
      `SQLException`